Subject: [bug#56127] [PATCH] gnu: polybar: Update to 3.6.3.

From: John Kehayias <[email-masked]>
Date: Wed, 22 Jun 2022 14:35:00 +0000

Hi Josselin,

------- Original Message -------
On Wednesday, June 22nd, 2022 at 9:42 AM, Josselin Poiret <[email-masked]> wrote:

>
> Looks good to me as-is, builds and runs fine, although I'd prefer to
> keep the file at /etc/, and patch src/utils/file.cpp to look for
> $output/etc/polybar/config.ini. That way, polybar would work without a
> config file even when not installed. Also, if you have the time, could
> you move the native-inputs to the new style as an additional commit?
>
> WDYT?

Not sure I understand what you mean by not needing to have polybar installed. Do you mean not having to worry about XDG_CONFIG_DIRS being set up? Running directly from /gnu/store? I can make that change (it was the alternative I thought of too) if that would help useability for a new user without a config.

And yes, can update with a second commit to clean native-inputs as well.

Thanks for taking a look!

John